
# Class: UpdateItems

A command that updates channel containers with new parameters.

For details, you can refer to the [IUpdateItemsCommandDefinition](../interfaces/iupdateitemscommanddefinition.md).
```
{
  "type": "design-editor",
  "name": "editor",
  "params": {
    "initial": { ... },
    "updateItems": {
      "items": {
        "Bleed Zone Radius": {
          "name": "Bleed Zone Radius",
          "visualizationPermissions": {
            "noShow": "{{ $['corners']._.props.hideRadiusItem }}"
          }
        },
        "Bleed Zone Square": {
          "name": "Bleed Zone Square",
          "visualizationPermissions": {
            "noShow": "{{ $['corners']._.props.hideSquareItem }}"
          }
        }
      }
    ]
  }
}
```

## Hierarchy

* [DesignEditorWidgetCommand](designeditorwidgetcommand.md)

  ↳ **UpdateItems**

## Implements

* IDesignAtomsCommand

## Index

### Properties

* [Name](updateitems.md#static-name)

### Accessors

* [name](updateitems.md#name)

### Methods

* [execute](updateitems.md#execute)

## Properties

### `Static` Name

▪ **Name**: *"updateItems"* = "updateItems"

## Accessors

###  name

• **get name**(): *string*

**Returns:** *string*

## Methods

###  execute

▸ **execute**(`config`: [IUpdateItemsConfig](../interfaces/iupdateitemsconfig.md)): *Promise‹void›*

*Overrides [DesignEditorWidgetCommand](designeditorwidgetcommand.md).[execute](designeditorwidgetcommand.md#abstract-execute)*

**Parameters:**

Name | Type |
------ | ------ |
`config` | [IUpdateItemsConfig](../interfaces/iupdateitemsconfig.md) |

**Returns:** *Promise‹void›*
